AutoCAD Inventor :: Work Feature Creation During Transaction
Sep 12, 2013
Has seen that even if a work plane, work axis or other work feature is created during a transaction, the screen will still update? The actual features I create using these work features within the same transaction still work just fine.
I get the following message when I try to update a view on a drawing. Cannot coalesce given transaction with a previous identified transaction. Some times it shows up other times everything works out perfectly fine.
Transactions -- Can you commit a Transaction within a Transaction without any problems? I have one transaction that cycles through all objects in drawing..
I have another transaction that purges all purgable objects. Can I call the Purge Function if I've already started a transaction? What's the proper protocol here?
'Purge Database Dim count As Integer = PurgeDatabase(DatabaseIn) Debug.Print("Number of Items Purged: " & count) 'Level 1 Start(Transaction/Drawing Database)----------------------------------------------- Using myTrans As Transaction = DatabaseIn.TransactionManager.StartTransaction 'Read Drawing Database [Code] .........
I've attached an example of a workflow we use to make different instances of products.part1 gets assembled in assembly1 which then gets derived in part2 to receive a bend.We use assembly1 in one place and part2 in another.(this is a simplified example, made with IV2013 SP1.1)
In part1, if you add the thread feature, the "bend part" feature in part2 fails after updating.This also happens if you try to add a "bend part" to part1 AFTER the thread feature, if the bend is present beforehand it does work.
Having the bend before the thread feature in part1 doesn't work with our workflow, because we need the assembly1 to be straight.In short, the thread feature is causing problems with "bend part".
I can't say if this problem was present in previous versions or even in the previous service pack since we don't use this workflow that often, especially with threaded parts, but i hope this can get fixed with a hotfix.
Coworker opened a drawing that he created yesterday. Upon opening he received the following error - "Attempting to end an invalid transaction. Id: 2008125432". He hit OK and the program resumed. It did not crash. There is no red plus in the menu bar.
Inventor 2013 SP2 update 1 Windows 7 64x SP1, 12GB RAM NVIDIA Quadro FX 2000, driver 8.17.12.7642 (12/10/2011)
Im trying to figure out what I can do differently in my code to have it show the newly placed text immediately after choosing an insertion point. Im guessing it has to do with a nested transaction and my loop, but Im not sure how to fix.
The code below is to label the layer of a selected entity. If in paperspace, label in paperspace and if in modelspace label in modelspace. Ive been testing this on the "blocks_and_tables_-_imperial.dwg"
Imports Autodesk.AutoCAD.RuntimeImports Autodesk.AutoCAD.ApplicationServices.ApplicationImports Autodesk.AutoCAD.DatabaseServicesImports Autodesk.AutoCAD.EditorInputImports Autodesk.AutoCAD.GeometryImports Autodesk.AutoCADImports Autodesk.AutoCAD.ApplicationServicesPublic Class Class2 Public Function myAnnotate(myDbIn As Database, mySpace As String, myTextContents As String, mySTPT As Point3d) As ObjectId [code]........
I am walking through someone else code in order to make sure I understand some principles (inserting blocks via a jig) and I cam upon a couple of lines that I do not understand:
space is the blocktablerecord for the current space and tr is the active transaction.
Here is what I don't get: If I append the entity to the space in the blocktablerecord inside of the transaction why do I also need to add this newly created object to the transaction with the AddnewlyCreatedDBObject method as well?
I am running Photoshop CS6 and cannot get the 3D elements to work? I have followed the available tutorial on the Adobe site on how to make 3D type and it doesn't work. It just isn't highlighted as a feature. Does the 3D feature work with vector objects (elements)?
i have got a problem with AutoCAD 2010 right now. Im having some procedures that take very long to process in between a Transaction Manager. Start Transaction and Commit/Abort.
When taking too long AutoCAD sometimes just disappears/crashes without giving a call stack/Exception or anything. There are also no memory leaks or exceptions raised, though i send some status messages to the command line of AutoCAD.
Does AutoCAD need anything like a KeepAlive? Do i have to send it some specific messages or anything? Is that a common problem?
I have a command to open some dwg files and print them. I´m using the Sub imprimePDF. When I did the code with (AutoCAD 2011 and VS 2008) , it runs ok but now it´s wrong.
This is the sub
Sub imprimePDF() Dim myDWG As Autodesk.AutoCAD.ApplicationServices.Document myDWG = Application.DocumentManager.MdiActiveDocument
[Code]....
When I´m debugging the code, last sentence produces an error: 'tr not declared' and I don't know why.
I have been looking at posts on automating pdf creation but have seen a lot with programming / VB involved but would like to avoid that if possible. I have also seen one's on batch processing but would like to do them as needed / completed.
I am trying to somewhat automate the pdf creation process. Having them save to a specific spot / folder and having them 'plot' the same view to the pdf would be very beneficial that way we don't have to select print, print to pdf, print this view with these details, save to this folder location. etc.
I have a 32 page Inventor DWG file I am trying to convert to a DXF file. Unfortunately when I do a save copy as DXF,
I get 32 individual DXF files. I would like one file with 32 different pages just like it was made in Inventor or just like it is done in Autocad where you have one drawing with the tabs at the bottom. Is this possible to accomplish in Inventor?
Is it possible to automate the creation of a DXF file when you save or check-in a part file from inventor. I have already set it up to create a DWF file to a shared folder on our network but we also export to DXF files as well for use in our machine shop. As of now the only way I know of doing it, is to open the .idw file and save it as a DXF manually. How to set this up to automatically create one on save or check-in.
I'm having a problem with RotatedDimension. I'm initializing it with some values and after I commit the transaction the value of TextPosition is changed.
I have tried to create deployments on the network for my products but I keep getting a "copy function fails" error once I start it.
When you first start to make a deployment it asks for a Administrative image path which I have been point at a network location (\serverpath, etc). I did make sure that the path length was less than 73 characters (due to a previous error).
It was suggested that I make the deployment on the local machine and then move it to the network location?
However, it does not appear that you allowed to pick a local directory for this (see attached).
I just installed the trial version of Inventor pro, 2013. I'm having a problem with the view changing on creation of a sketch. It goes to the home position. The "Look at sketch plane on sketch creation" is un-ticked in options.
Click on Component->Create. Once the Component is created, click 2D Sketch. View spins to the Home position. This is really annoying. I learned Inventor 2010 in school. I don't remember this ever happening.
If I select a plane from the browser prior to clicking the Create 2D Sketch, the view remains the same as expected. This is only a problem if you want to create the initial sketch using a face of another part as the sketch plane. Is there an option I'm missing?
I've been making iLogic assemblies with hints of VB for about 6 months now. My Boss has asked me if I can write code that will effectively create drawings automatically.
What we would like to create is a rule, which when run, creates a new drawing file, places the active assembly in a base view, then place a Left, Right and Top view of the assembly and place a parts list in the top corner. Dimensions are not really important at the moment, as the sizes of the parts are in the description field and the drawings are used for assembling the product only.
All I want to do is automatically generate a drawing for an assembly with sheets for the component parts. The assembly is being placed as an iLogic part if that makes a difference.
We are having a pretty large annoyance where anytime you open a part with a decal, a message comes up saying there is a newer decal, and asking if you want to check out the decal. From digging a little bit I have found that this is caused by the decal being linked to the image. I however have not been able to find a way to break the link on an already created and vaulted part.
Is there a good source of material mechanical properties on the internet? I have been creating a custom material library with the materials I normally use and I've just been duplicating a material from the supplied libraries to create mine with a name change only. I'd like to include the correct mechanical properties if I could find a source of information that has all the properties in the format that the Inventor 2013 materials editor requires.
I am looking at moving from controlling my Styles in template files into a Style Library. So how exactly would I best do this? Create a new Style Library in the Style Library Manager, set it in "Style Library 1" (this makes the new Style Library "active", yes?), open my template files, and under the Manage tab, "Save" the document styles to the new Style Library? Should I then delete my Document Styles from the template?
When you get a new release of Inventor, how do you generally go about pushing your Style Library into the new release? Do you just copy-paste the old Style Library from the old release "Design Data" folder into the new release "Design Data" folder? Do you start a new Style Library in the new release, compare to the old Style Library, and push the old into into the new?
In the initial part of the simulation promotional video [URL]....
the internal space of the valve is selected by first selecting faces, then selecting Part Priority and then Isolation, producing the combined total flow volume space. Despite repeating this procedure many times I find I am unable to create and isolate the required volume space. The inner surfaces of the valve are selected but when selecting Part Priority, part of the valve solid part highlights and the selected inner valve surfaces disappear.
I have managed to derived the volume space by subtracting a new derived part, however the example provided in the video suggests the process of defining the air space can be achieved a lot quicker.
A colleague & I have been trying and failing all day to create a punch tool from scratch. I did however manage to modify the geometry of the Dimple & Hole example here:
[URL].....
how to a) build the iFeature correctly and b) how to then extract it so that the orientation is not FUBAR when you insert it using the punch tool.
Attached are the dimensions I need. This shape when revolved about the centreline should produce a 'dimple' effect in the sheet metal part.